mod config;
mod firewall;
mod ip;
mod ipblc;
mod utils;
mod zmqcom;

use config::Context;
use std::sync::Arc;
use tokio::sync::Mutex;

#[tokio::main]
pub async fn main() {
    // Create a new context
    let ctx = Arc::new(Mutex::new(Context::new().await));
    ipblc::inc::process(&ctx).await;
}
